scala.tools.nsc.backend.icode.TypeStacks

# TypeStack

#### class TypeStack extends AnyRef

Source
  TypeStacks.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. TypeStack
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new TypeStack(that: ICodes.TypeStack)

2. #### new TypeStack()

3. #### new TypeStack(types: ICodes.Rep)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from ICodes.TypeStack to any2stringadd[ICodes.TypeStack] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (ICodes.TypeStack, B)

   Implicit information
     This member is added by an implicit conversion from ICodes.TypeStack to ArrowAssoc[ICodes.TypeStack] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def apply(n: Int): ICodes.TypeKind

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def ensuring(cond: (ICodes.TypeStack) ⇒ Boolean, msg: ⇒ Any): ICodes.TypeStack

   Implicit information
     This member is added by an implicit conversion from ICodes.TypeStack to Ensuring[ICodes.TypeStack] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: (ICodes.TypeStack) ⇒ Boolean): ICodes.TypeStack

    Implicit information
      This member is added by an implicit conversion from ICodes.TypeStack to Ensuring[ICodes.TypeStack] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean, msg: ⇒ Any): ICodes.TypeStack

    Implicit information
      This member is added by an implicit conversion from ICodes.TypeStack to Ensuring[ICodes.TypeStack] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean): ICodes.TypeStack

    Implicit information
      This member is added by an implicit conversion from ICodes.TypeStack to Ensuring[ICodes.TypeStack] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(other: Any): Boolean

    Definition Classes
      TypeStack → AnyRef → Any

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from ICodes.TypeStack to StringFormat[ICodes.TypeStack] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### def hashCode(): Int

    Definition Classes
      TypeStack → AnyRef → Any

19. #### def head: ICodes.TypeKind

20. #### def isEmpty: Boolean

21. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

22. #### def length: Int

23. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### def nonEmpty: Boolean

25. #### final def notify(): Unit

    Definition Classes
      AnyRef

26. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

27. #### def pop(n: Int): List[ICodes.TypeKind]

    Drop the first n elements of the stack.

28. #### def pop: ICodes.TypeKind

    Removes the value on top of the stack, and returns it.

    Removes the value on top of the stack, and returns it. It assumes the stack contains at least one element.

29. #### def pop2: (ICodes.TypeKind, ICodes.TypeKind)

    Return the topmost two values on the stack.

    Return the topmost two values on the stack. It assumes the stack is large enough. Topmost element first.

30. #### def pop3: (ICodes.TypeKind, ICodes.TypeKind, ICodes.TypeKind)

    Return the topmost three values on the stack.

    Return the topmost three values on the stack. It assumes the stack is large enough. Topmost element first.

31. #### def push(t: ICodes.TypeKind): Unit

    Push a type on the type stack.

    Push a type on the type stack. UNITs are ignored.

32. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

33. #### def toString(): String

    Definition Classes
      TypeStack → AnyRef → Any

34. #### var types: ICodes.Rep

35. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### def →[B](y: B): (ICodes.TypeStack, B)

    Implicit information
      This member is added by an implicit conversion from ICodes.TypeStack to ArrowAssoc[ICodes.TypeStack] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from ICodes.TypeStack to any2stringadd[ICodes.TypeStack]

### Inherited by implicit conversion StringFormat from ICodes.TypeStack to StringFormat[ICodes.TypeStack]

### Inherited by implicit conversion Ensuring from ICodes.TypeStack to Ensuring[ICodes.TypeStack]

### Inherited by implicit conversion ArrowAssoc from ICodes.TypeStack to ArrowAssoc[ICodes.TypeStack]

### Ungrouped